$(document).ready(function() {
	$("#frmLogin").submit(function(event) {
	});	
    $("#frmLogin").submit(function(event) {
        event.preventDefault();
        var error = false;

        $(".required").each(function() {
            if ($.trim($(this).val()).length < 3) {
                $(this).removeClass("is-valid is-invalid");
                $(this).addClass("is-invalid");
                error = true;
            } else {
                $(this).removeClass("is-valid is-invalid");
                $(this).addClass("is-valid");
            }
        });

        
		if(!error){
			$("#btnLogin").prop("disabled", true);
			$("#btnLogin").html('<span class="spinner-border spinner-border-sm mr-2" role="status"></span> Let me in');
			var payload = $("#frmLogin").serialize();
			$.post("ajax.php?route=signin", payload).done(function( data ) {
				if(data == "ok"){
					location. reload(); 
					$("#successLogin").slideDown().delay(2e3).slideUp();
					$("#btnLogin").prop("disabled", false);
					$("#btnLogin").html('Let me in');
				}else{
					$("#errorLogin").slideDown().delay(2e3).slideUp();
					$("#btnLogin").prop("disabled", false);
					$("#btnLogin").html('Let me in');
				}
				
			});
		}

    });
});